#include "clientparam.h"
#include "serverparam.h"

float ClientParam::impossible_speed = 3.0f;
float ClientParam::infinite_speed = 100.0f;

/*********    Display to windows  *****************/
int ClientParam::MaxLines =CP_MaxLines;
int ClientParam::MaxRows = 100;
/**************************************************/
int   ClientParam::num_divisions = CP_num_divisions;			//ȵҰֵԪ
float  ClientParam::division = 360.0f / ClientParam::num_divisions;


int ClientParam::clang_min_version = 7;
int ClientParam::clang_max_version = 8;
/***********  client params *****************/
float ClientParam::conf_max = 1.0f;
float ClientParam::conf_decay = 0.95f;
float ClientParam::min_valid_conf = 0.70f;
float ClientParam::min_ball_valid_conf = 0.77f;
/************	file	*********************/
int  ClientParam::log_max = 10;
char ClientParam::logdir[100] = "logfiles//";
char ClientParam::logfile[100] = "log";
char ClientParam::recfile[100] = "rec";
char ClientParam::matfile[100] = "mat";
char ClientParam::pasfile[100] = "pas";
char ClientParam::CB_weightfile[100] ="CBweight";
char ClientParam::FM_offense_weightfile[100] = "FMOffenseweight";
char ClientParam::FM_defense_weightfile[100] = "FMDefenseweight";
char ClientParam::Off_sen_weightfile[100] = "OffSenweight";
char ClientParam::DF_Sensitivity_weightfile[100] ="DF_Senweight"; 
char ClientParam::Mark_priority_weightfile[100] = "Mark_weight"; 
char ClientParam::Block_priority_weightfile[100] = "Block_weight"; 
char ClientParam::deviation_weightfile[100] = "deviationweights"; 
char ClientParam::DF_formation_priority_file[100] = "fmpriority"; 
char ClientParam::DF_press_priority_file[100] = "presspriorityweights";  
char ClientParam::playertype_file[100];
char ClientParam::formation_file[100];
char ClientParam::KickOA_weightfile_A[100];
char ClientParam::KickOA_weightfile_B[100];
char ClientParam::KickOA_weightfile_C[100];
char ClientParam::KickOA_weightfile_D[100];
float ClientParam::goalie_kick_min_vel = 1.2f;
int ClientParam::setplay_wait_time = 20;
/*************************************************/
int ClientParam::Number = 0;
//int ClientParam::goalieNo = 1;
bool ClientParam::goalie = false;
/*************	role	***************************/
float ClientParam::attackness;
float ClientParam::leftness;
float ClientParam::aggressiveness;
float ClientParam::creativeness;
/*************************************************/
float ClientParam::collision_buffer = 0.12f;
float ClientParam::turnball_radius_threshold = 0.4f;
float ClientParam::turnball_radius = 0.8f;
float ClientParam::kickballaway_speed = 0.1f;
float ClientParam::pos_deviation_max = 2.0f;
int   ClientParam::decision_holdtime = 5;
float ClientParam::deviation_max = 45.0f;  
/*************************************************/
float ClientParam::reliable_kickarea = 1.0f;
float ClientParam::desired_kickarea = 0.7f;
/*************************************************/
float ClientParam::block_margin = 1.0f;
float ClientParam::control_margin = ServerParam::kickable_area + 0.1f;
float ClientParam::dribble_radius = 0.5f;
float ClientParam::dribble_angle = 90.0f;
float ClientParam::dribble_speed = 0.6f;

float ClientParam::drweight_conf_a = -0.03f;
float ClientParam::drweight_conf_b = 0.01f;
float ClientParam::drweight_conf_c = 1.0f;
float ClientParam::passweight_conf_a = 0.0022f;
float ClientParam::passweight_conf_b = 0.0113f;
float ClientParam::passweight_conf_c = 0.2686f;
float ClientParam::goto_allowed_error = 0.2f;
float ClientParam::out_of_pitch_error = 2.0f;
float ClientParam::passable_angle = 30;
float ClientParam::passable_distance =  40;
float ClientParam::kick_threshold_factor = 0.95f;
float ClientParam::mnmx_kickeffect = 1.1f;
/*****************  shoot *************************/
float ClientParam::max_shoot_distance = 35.0f;
float ClientParam::goalie_catch_angle = 15.0f;
float ClientParam::shoot_search_angle = 5.0f;
float ClientParam::dribble_distance = 10.0f;
float ClientParam::player_intercept_angle = 20.0f;
float ClientParam::setplay_speed = 0.4f;
float ClientParam::setplay_deviation = 1.0f;
float ClientParam::defense_area_length = 30.0f;
float ClientParam::defense_area_width = 30.0f;
float ClientParam::block_speed = 1.0f;
float ClientParam::block_speed_factor = 1.4f;
float ClientParam::max_IT_cycles = 500;
float ClientParam::offeseposition_speed = 0.4f;
float ClientParam::block_dist = 3.5f;
float ClientParam::mark_dist = 1.5f;//ciwp
float ClientParam::check_dist = 10.0f;
float ClientParam::mark_speed = 1.0f;

float ClientParam::goalie_clear_ang = 30.0f; 
float ClientParam::goalie_clear_search_ang = 5.0f;
float ClientParam::goalie_safe_catch_length = 1.8f; 
float ClientParam::collision_threshold = 0.45f;
float ClientParam::clear_angle = 15.0f;
float ClientParam::reliable_kickable_area = 1.0f;
float ClientParam::powerkick_radius = 0.85f;
float ClientParam::kickable_area = 1.05f;
float ClientParam::collision_detected_threshold = 0.2f;
float ClientParam::safecatch_width; 
/*************************/
char ClientParam::appname[100];
float ClientParam::too_different_distance = 10.0f;
float ClientParam::identify_min_conf = 0.2f;
float ClientParam::different_distance = 3.5f;
float ClientParam::negativepower_factor = 2.0f;
/************ Update knowledge ******************/
float ClientParam::selfvel_mingap = 0.06f;
/************ Visual system	******************/
float ClientParam::VW_Narrowfactor = 1.1f;
float ClientParam::def_concern_area = 15.0f;
float ClientParam::catcharea_compensation = 1.5f;
float ClientParam::k_dribble_avoid = 0.5f;
float ClientParam::k_dribble_rosen = 0.5f;

float ClientParam::shoot_avoidgoalie = 1.0f;
/************ Audio system	******************/
float ClientParam::Audio_player_fardist = 30.0f;

/************ Team Strategy  *****************/


int FieldParam::FP_goalie_number = 1;
int FieldParam::FP_theirgoalie_number;
float FieldParam::FP_attackness[SP_team_size];
float FieldParam::FP_leftness[SP_team_size];
float FieldParam::FP_aggressiveness[SP_team_size];
float FieldParam::FP_creativeness[SP_team_size];

FieldParam::FieldParam()
{

}


ClientParam::ClientParam()
{

}

ClientParam::~ClientParam()
{

}
