#ifndef __AGENT_H__
#define __AGENT_H__


#include "motion.h"
#include "mediator.h"
#include "setplay.h"
#include "goalie.h"
#include "positioning.h"

namespace Agent  
{
	extern Behaviors motion;
	extern Positioning positioning;
	extern SetPlayInstance setplay;
	extern UNum MyNumber;
	extern Mediator mediator;

	extern Goalie goalie;
	extern int behave();
	extern void Initialize();
};

using namespace Agent;

#endif //__AGENT_H__
