#ifndef __LOG_H__
#define __LOG_H__


#include "logunit.h"

//#define _LOG
//#define _LOGMSG
#define _LOGMAT

#ifdef _LOG
	#define DoLog	Log::rec.LogAction
#else
#ifdef WIN32
	#define DoLog(x) NULL
#else // _LINUX
	#define DoLog(...) NULL
#endif
	#pragma warning( disable : 4002)
#endif

#ifdef _LOGMSG
	#define DoRecord Log::recmsg.LogAction
#else
#ifdef WIN32
	#define DoRecord(x) NULL
#else // _LINUX
	#define DoRecord(...) NULL
#endif
	#pragma warning( disable : 4002)
#endif

#ifdef _LOGMAT
	#define LogMat Log::logmat.LogAction
#else
#ifdef WIN32
	#define LogMat(x) NULL
#else // _LINUX
	#define LogMat(...) NULL
#endif
	#pragma warning( disable : 4002)
#endif


//Log channels
#define LOG_NONE 0
#define LOG_SYNC 1
#define LOG_SENDACTION 2
#define LOG_STOPWATCH 3
#define LOG_MEDIATION 4
#define LOG_POSITIONING 5
#define LOG_ACTION 6
#define LOG_UPDATE 7
#define LOG_MISS 8
#define LOG_GOALIE 9
#define LOG_COLLIDE 10
#define LOG_KICK 11
#define LOG_UNKPLAYER 12
#define LOG_HEAR 13	
#define LOG_IT 14
#define LOG_PASS 15
#define LOG_SEE 16
#define LOG_DEFENSE 17
#define LOG_SETPLAY 18
#define LOG_BUG 19
#define LOG_SITUATION 20
#define LOG_DRIBBLE 21
#define LOG_OAKICK 22
#define LOG_VISUAL 23
#define LOG_DEFEXTEND 24
#define LOG_VDEC 26
#define LOG_VISUALREQ 27
#define LOG_SHOOT 28
#define LOG_HANDLEBALL 29
#define LOG_OFFSIDE 30
#define LOG_PassRoute 31			//
#define LOG_EvaPass 32				//Evaluation on pass
#define LOG_DRIBBLELONG 33
#define	LOG_OPosition 34
#define	LOG_Situation 35
#define LOG_PosScheme 36
#define LOG_TEAMFORMATION 37
//Log Match Channels
enum LM_Channel{
	LM_Init, LM_Info, LM_Upd, LM_Exec, LM_Ass, LM_Watch
};

#define LM_Num_Channels 6
#define LM_Channel_Label {\
	"Init",\
	"Info",\
	"Upda",\
	"Exec",\
	"Assi",\
	"Watch"\
}



class Log  
{
public:
	static LogInfo rec;
	static LogInfo recmsg;
	static LogInfo logmat;
	static void InitLog();
	Log();
	virtual ~Log();
};


#endif //__LOG_H__
