#ifndef __PARSESOUND_H__
#define __PARSESOUND_H__


class ParseSoundV7
{
protected:
	bool nonempty_msg;
public:
	virtual void Parse_Sound(int time,char* SensoryInfo);
	virtual void ProcessMsg(char * auditorymsg);	
	virtual void Parse_Referee_Sound(char *RefereeSound);
	virtual void Parse_Trainer_Sound(char *msg);
	virtual void Parse_My_Coach_Sound(int time, char *msg){};
	virtual void Parse_Their_Coach_Sound(int time, char *msg){};
};

class ParseSoundV8 : public ParseSoundV7
{
public:
	void Parse_Sound(int time, char *SoundInfo);
	void Parse_My_Coach_Sound(int time, char *msg);
	void Coach_AnnounceAll(int time, char *msg);
	float angle;
	int num;
};

#endif //__PARSESOUND_H__
